%define major   1
%define libname %mklibname tdb %{major}
%define devname %mklibname -d tdb
%define beta beta6

# beta releases are taken from the samba4 tarball using
# mkdir -p tdb-1.2.11/lib
# cp -a buildtools lib/tdb/* tdb-1.2.11/
# cp -a lib/replace tdb-1.2.11/lib/
# tar cf tdb-1.2.11.tar tdb-1.2.11

%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg --import %{1} \
gpg --trust-model always --verify %{2} \
rm -Rf $GNUPGHOME \


Name:           tdb
Version:        1.2.11
# We shipped it in samba3 versioned with the samba3 version
Epoch:          1
%if "%beta" != ""
Release:	0.%beta.1
%else
Release:        1
Source1:        http://samba.org/ftp/tdb/tdb-%{version}.tar.asc
Source2:        tridge.asc
%endif
Group:          System/Libraries
License:        GPLv2
URL:            http://tdb.samba.org/
Summary:        Library implementing Samba's embedded database
Source0:        http://samba.org/ftp/tdb/tdb-%{version}.tar.xz
BuildRequires:  python-devel xsltproc docbook-style-xsl

%description
Library implementing Samba's embedded database and utilities for backing up,
restoring and manipulating the database.

%package -n     %{libname}
Group:          System/Libraries
Summary:        Library implementing Samba's embedded database

%description -n %{libname}
Library implementing Samba's embedded database

%package -n     tdb-utils
Group:          Databases
Summary:        Tools for backing up, restoring, and manipulating Samba's embedded database
Conflicts:      samba-server < 3.3.2-2

%description -n tdb-utils
Tools for backing up, restoring, and manipulating Samba's embedded database

%package -n     %{devname}
Group:          Development/C
Summary:        Library implementing Samba's embedded database
Provides:       tdb-devel = %{EVRD}
Requires:       %{libname} = %{EVRD}
# because /usr/include/tdb.h was moved from libsmbclient0-devel to libname-devel
Conflicts:      %{mklibname smbclient 0 -d} < 3.2.6-3

%description -n %{devname}
Library implementing Samba's embedded database

%package -n     python-tdb
Group:          Development/Python
Summary:        Python bindings to Samba's tdb embedded database

%description -n python-tdb
Pyhton bindings to Samba's tdb embedded database

%prep
%if "%beta" == ""
#Try and validate signatures on source:
VERIFYSOURCE=%{SOURCE0}
VERIFYSOURCE=${VERIFYSOURCE%%.gz}
gzip -dc %{SOURCE0} > $VERIFYSOURCE

#check_sig %{SOURCE2} %{SOURCE1} $VERIFYSOURCE

rm -f $VERIFYSOURCE
%endif

%setup -q

%build
export PYTHONDIR=%{py_platsitedir}
%configure2_5x	--disable-rpath
%make

%install
%makeinstall_std
chmod 755 %{buildroot}%{_libdir}/libtdb.so.%{major}* %{buildroot}%{py_platsitedir}/tdb.so

%files -n %{libname}
%{_libdir}/libtdb.so.%{major}*

%files -n %{devname}
%{_libdir}/libtdb.so
#{_libdir}/libname.a
%{_includedir}/tdb.h
%{_libdir}/pkgconfig/tdb.pc

%files -n tdb-utils
%{_bindir}/tdb*
%{_mandir}/man8/tdb*.8*

%files -n python-tdb
%{py_platsitedir}/tdb.so


%changelog
* Mon Aug 20 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1:1.2.11-0.beta6.1
+ Revision: 815436
- Beta 6

* Sat Aug 04 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1:1.2.11-0.beta5.1
+ Revision: 811854
- Update to 1.2.11-beta5 to make openchange happy

* Sat Jun 02 2012 Zombie Ryushu <ryushu@mandriva.org> 1:1.2.10-3
+ Revision: 801965
- Upgrade to 1.2.10

* Fri Mar 02 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:1.2.9-3
+ Revision: 781900
- fix shared-lib-not-executable
- use %%{EVRD} macro
- clean up spec

  + Buchan Milne <bgmilne@mandriva.org>
    - Add signature verification

* Wed May 25 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:1.2.9-2
+ Revision: 678990
- disable rpath

* Wed Mar 16 2011 Buchan Milne <bgmilne@mandriva.org> 1:1.2.9-1
+ Revision: 645625
- BR docbook-style-xsl so man pages get built
- Help waf find the right place for python modules on x86_64
- Use %%configure2_5x for waf
- New version 1.2.9
  Drop patch upstreamed
- Signiature file now on unzipped archive

* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.7-2mdv2011.0
+ Revision: 630224
- P0: tdb: Set _PUBLIC_ in C file rather than header files (Debian bug 600898)

* Fri Jan 07 2011 Buchan Milne <bgmilne@mandriva.org> 1:1.2.7-1mdv2011.0
+ Revision: 629678
- update to new version 1.2.7

* Wed Oct 13 2010 Buchan Milne <bgmilne@mandriva.org> 1:1.2.1-1mdv2011.0
+ Revision: 585254
+ rebuild (emptylog)

* Thu Feb 25 2010 Buchan Milne <bgmilne@mandriva.org> 1:1.2.1-1mdv2010.1
+ Revision: 510916
- import tdb

